Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.dao.file
Class FileBlogEntryDAO

    java.lang.Object
      net.sourceforge.pebble.dao.file.FileBlogEntryDAO

All Implemented Interfaces:
  BlogEntryDAO

    public class FileBlogEntryDAO

extends java.lang.Object
implements BlogEntryDAO

Constructor Summary
`FileBlogEntryDAO()`

Method Summary
`java.lang.String` | `getPath(Blog blog, java.lang.String blogEntryId, java.util.TimeZone timeZone)` Given a blog and blog entry ID, this method determines the path where that blog entry is stored.
`java.util.List<BlogEntry>` | `loadBlogEntries(Blog blog)` Loads all blog entries.
`BlogEntry` | `loadBlogEntry(Blog blog, java.lang.String blogEntryId)` Loads a specific blog entry.
`void` | `removeBlogEntry(BlogEntry blogEntry)` Removes the specified blog entry.
`void` | `storeBlogEntry(BlogEntry blogEntry)` Stores the specified blog entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileBlogEntryDAO

    public FileBlogEntryDAO()

Method Detail

### loadBlogEntry

    public BlogEntry loadBlogEntry(Blog blog,
                                   java.lang.String blogEntryId)
                            throws PersistenceException

  Loads a specific blog entry.

  Specified by:
    `loadBlogEntry` in interface `BlogEntryDAO`
  Parameters:
    `blogEntryId` - the blog entry ID
  Returns:
    a BlogEntry instance
  Throws:
    `PersistenceException` - if the specified blog entry cannot be loaded

### loadBlogEntries

    public java.util.List<BlogEntry> loadBlogEntries(Blog blog)
                                              throws PersistenceException

  Loads all blog entries.

  Specified by:
    `loadBlogEntries` in interface `BlogEntryDAO`
  Parameters:
    `blog` - the Blog to load all entries for
  Returns:
    a List of BlogEntry objects
  Throws:
    `PersistenceException` - if the blog entries cannot be loaded

### storeBlogEntry

    public void storeBlogEntry(BlogEntry blogEntry)
                        throws PersistenceException

  Stores the specified blog entry.

  Specified by:
    `storeBlogEntry` in interface `BlogEntryDAO`
  Parameters:
    `blogEntry` - the blog entry to store
  Throws:
    `PersistenceException` - if something goes wrong storing the entry

### removeBlogEntry

    public void removeBlogEntry(BlogEntry blogEntry)
                         throws PersistenceException

  Removes the specified blog entry.

  Specified by:
    `removeBlogEntry` in interface `BlogEntryDAO`
  Parameters:
    `blogEntry` - the blog entry to remove
  Throws:
    `PersistenceException` - if something goes wrong removing the entry

### getPath

    public java.lang.String getPath(Blog blog,
                                    java.lang.String blogEntryId,
                                    java.util.TimeZone timeZone)

  Given a blog and blog entry ID, this method determines the path where that blog entry is stored.

  Parameters:
    `blog` - the owning Blog
    `blogEntryId` - the ID of the blog entry
  Returns:
    a String of the form blogroot/yyyy/MM/dd

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.